@keyframes dice_jump {
  0% {
    transform: rotate(0deg) translate3d(0, 0, 0); }
  20% {
    transform: translate3d(0, -80px, 0); }
  30% {
    transform: translate3d(0, -100px, 0); }
  40% {
    transform: translate3d(0, -80px, 0); }
  60% {
    transform: translate3d(0, 0, 0); }
  70% {
    transform: translate3d(0, -40px, 0); }
  75% {
    transform: translate3d(0, -50px, 0); }
  80% {
    transform: translate3d(0, -40px, 0); }
  90% {
    transform: translate3d(0, 0, 0); }
  95% {
    transform: translate3d(0, -25px, 0); }
  100% {
    transform: translate3d(0, 0, 0); } }

@keyframes dice_rotation {
  0% {
    transform: rotate(0deg); }
  30% {
    transform: rotate(180deg); }
  60% {
    transform: rotate(360deg); }
  90% {
    transform: rotate(990deg); }
  95% {
    transform: rotate(1050deg); }
  100% {
    transform: rotate(1080deg); } }

.dice {
  z-index: 3;
  position: relative;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center; }
  .dice__jump {
    width: 140px;
    height: 140px;
    animation: dice_jump 2s alternate linear forwards; }
  .dice__rotate {
    width: 140px;
    height: 140px;
    background-size: 100% auto;
    animation: dice_rotation 2s alternate linear forwards; }
  .dice__image {
    position: absolute;
    display: block;
    width: 120px;
    height: 140px;
    background-image: url("/images/img_dice.png");
    background-position: 0 0;
    transition-delay: 1s;
    transition-property: background-position;
    transition-duration: 0s; }
    .dice__image--1 {
      background-position: 0 0; }
    .dice__image--2 {
      background-position: 0 -140px; }
    .dice__image--3 {
      background-position: 0 -280px; }
    .dice__image--4 {
      background-position: 0 -420px; }
    .dice__image--5 {
      background-position: 0 -560px; }
    .dice__image--6 {
      background-position: 0 -700px; }
